OpenVDB: axparser.h File Reference

OpenVDB 8.0.0

Classes | Macros | Typedefs | Enumerations | Functions | Variables
axparser.h File Reference

Go to the source code of this file.

## Classes
union | AXSTYPE
struct | AXLTYPE

## Macros
#define | AXDEBUG 0
#define | AXTOKENTYPE
#define | AXSTYPE_IS_TRIVIAL 1
#define | AXSTYPE_IS_DECLARED 1
#define | AXLTYPE_IS_DECLARED 1
#define | AXLTYPE_IS_TRIVIAL 1

## Typedefs
typedef union AXSTYPE | AXSTYPE
typedef struct AXLTYPE | AXLTYPE

## Enumerations
enum | axtokentype { TRUE = 258, FALSE = 259, SEMICOLON = 260, AT = 261, DOLLAR = 262, IF = 263, ELSE = 264, FOR = 265, DO = 266, WHILE = 267, RETURN = 268, BREAK = 269, CONTINUE = 270, LCURLY = 271, RCURLY = 272, LSQUARE = 273, RSQUARE = 274, STRING = 275, DOUBLE = 276, FLOAT = 277, INT32 = 278, INT64 = 279, BOOL = 280, VEC2I = 281, VEC2F = 282, VEC2D = 283, VEC3I = 284, VEC3F = 285, VEC3D = 286, VEC4I = 287, VEC4F = 288, VEC4D = 289, F_AT = 290, I_AT = 291, V_AT = 292, S_AT = 293, I16_AT = 294, MAT3F = 295, MAT3D = 296, MAT4F = 297, MAT4D = 298, M3F_AT = 299, M4F_AT = 300, F_DOLLAR = 301, I_DOLLAR = 302, V_DOLLAR = 303, S_DOLLAR = 304, DOT_X = 305, DOT_Y = 306, DOT_Z = 307, L_INT32 = 308, L_INT64 = 309, L_FLOAT = 310, L_DOUBLE = 311, L_STRING = 312, IDENTIFIER = 313, COMMA = 314, QUESTION = 315, COLON = 316, EQUALS = 317, PLUSEQUALS = 318, MINUSEQUALS = 319, MULTIPLYEQUALS = 320, DIVIDEEQUALS = 321, MODULOEQUALS = 322, BITANDEQUALS = 323, BITXOREQUALS = 324, BITOREQUALS = 325, SHIFTLEFTEQUALS = 326, SHIFTRIGHTEQUALS = 327, OR = 328, AND = 329, BITOR = 330, BITXOR = 331, BITAND = 332, EQUALSEQUALS = 333, NOTEQUALS = 334, MORETHAN = 335, LESSTHAN = 336, MORETHANOREQUAL = 337, LESSTHANOREQUAL = 338, SHIFTLEFT = 339, SHIFTRIGHT = 340, PLUS = 341, MINUS = 342, MULTIPLY = 343, DIVIDE = 344, MODULO = 345, UMINUS = 346, NOT = 347, BITNOT = 348, PLUSPLUS = 349, MINUSMINUS = 350, LPARENS = 351, RPARENS = 352, LOWER_THAN_ELSE = 353 }

## Functions
int | axparse (openvdb::ax::ast::Tree **tree)

## Variables
AXSTYPE | axlval
AXLTYPE | axlloc

## Macro Definition Documentation

## ◆ AXDEBUG

#define AXDEBUG 0

## ◆ AXLTYPE_IS_DECLARED

#define AXLTYPE_IS_DECLARED 1

## ◆ AXLTYPE_IS_TRIVIAL

#define AXLTYPE_IS_TRIVIAL 1

## ◆ AXSTYPE_IS_DECLARED

#define AXSTYPE_IS_DECLARED 1

## ◆ AXSTYPE_IS_TRIVIAL

#define AXSTYPE_IS_TRIVIAL 1

## ◆ AXTOKENTYPE

#define AXTOKENTYPE

## Typedef Documentation

## ◆ AXLTYPE

typedef struct AXLTYPE AXLTYPE

## ◆ AXSTYPE

typedef union AXSTYPE AXSTYPE

## Enumeration Type Documentation

## ◆ axtokentype

enum axtokentype

Enumerator
TRUE |
FALSE |
SEMICOLON |
AT |
DOLLAR |
IF |
ELSE |
FOR |
DO |
WHILE |
RETURN |
BREAK |
CONTINUE |
LCURLY |
RCURLY |
LSQUARE |
RSQUARE |
STRING |
DOUBLE |
FLOAT |
INT32 |
INT64 |
BOOL |
VEC2I |
VEC2F |
VEC2D |
VEC3I |
VEC3F |
VEC3D |
VEC4I |
VEC4F |
VEC4D |
F_AT |
I_AT |
V_AT |
S_AT |
I16_AT |
MAT3F |
MAT3D |
MAT4F |
MAT4D |
M3F_AT |
M4F_AT |
F_DOLLAR |
I_DOLLAR |
V_DOLLAR |
S_DOLLAR |
DOT_X |
DOT_Y |
DOT_Z |
L_INT32 |
L_INT64 |
L_FLOAT |
L_DOUBLE |
L_STRING |
IDENTIFIER |
COMMA |
QUESTION |
COLON |
EQUALS |
PLUSEQUALS |
MINUSEQUALS |
MULTIPLYEQUALS |
DIVIDEEQUALS |
MODULOEQUALS |
BITANDEQUALS |
BITXOREQUALS |
BITOREQUALS |
SHIFTLEFTEQUALS |
SHIFTRIGHTEQUALS |
OR |
AND |
BITOR |
BITXOR |
BITAND |
EQUALSEQUALS |
NOTEQUALS |
MORETHAN |
LESSTHAN |
MORETHANOREQUAL |
LESSTHANOREQUAL |
SHIFTLEFT |
SHIFTRIGHT |
PLUS |
MINUS |
MULTIPLY |
DIVIDE |
MODULO |
UMINUS |
NOT |
BITNOT |
PLUSPLUS |
MINUSMINUS |
LPARENS |
RPARENS |
LOWER_THAN_ELSE |

## Function Documentation

## ◆ axparse()

int axparse | ( | openvdb::ax::ast::Tree ** | tree | ) |

## Variable Documentation

## ◆ axlloc

AXLTYPE axlloc
| extern

## ◆ axlval

AXSTYPE axlval
| extern